org.eclipse.actf.visualization.eval.html.statistics

## Class HeadingsData

- java.lang.Object
- - org.eclipse.actf.visualization.eval.html.statistics.HeadingsData

All Implemented Interfaces:
  IPageStatisticsTag

    public class HeadingsData
    extends Object
    implements IPageStatisticsTag

HeadingsData is used for heading tag information

### Field Summary

### Fields inherited from interface org.eclipse.actf.visualization.eval.html.statistics.IPageStatisticsTag

`ALIGN, ALT, BASE, BGCOLOR, DEST, ERROR, EXISTENCE, FLASH, FLASH_INFO, HEADING, HEADINGS, HEIGHT, HREF, ID, IMAGE, IMAGES, ITEM, JAVASCRIPT, MAX, MEAN, MIN, MISSING, NAME, ORG_MAX, ORG_MEAN, ORG_MIN, REACHINGTIME, SKIPMAIN, SRC, TARGET_STRING, TOTAL, URL, VALID, VALUE, WIDTH, WRONG, XPATH`

### Constructor Summary

Constructors
Constructor and Description
`HeadingsData(Element targetE, String text)` Constructor of the class
`HeadingsData(String tagName, String text, String xpath)` Constructor of the class

### Method Summary

Methods
`String` `getItemXML()` Get heading tag information as XML fragment
`String` `getTagName()` Get tag name of the heading
`String` `getText()` Get heading text
`String` `getXpath()` Get XPath of the heading
`static HeadingsData` `parseItem(Attributes atts)` Extract heading tag information from XML fragment and store information into new `HeadingsData` instance.
`void` `setTagName(String tagName)` Set tag name of the heading
`void` `setText(String text)` Set heading text
`void` `setXpath(String xpath)` Set XPath of the heading

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HeadingsData

    public HeadingsData(Element targetE,
                String text)

Constructor of the class

Parameters:
  `targetE` - target heading element
  `text` - heading text

#### HeadingsData

    public HeadingsData(String tagName,
                String text,
                String xpath)

Constructor of the class

Parameters:
  `tagName` - target heading tag name
  `text` - heading text
  `xpath` - XPath of target heading

### Method Detail

#### getXpath

    public String getXpath()

Get XPath of the heading

Returns:
  XPath as String

#### setXpath

    public void setXpath(String xpath)

Set XPath of the heading

Parameters:
  `xpath` -

#### getTagName

    public String getTagName()

Get tag name of the heading

Returns:
  tag name

#### getText

    public String getText()

Get heading text

Returns:
  heading text

#### setTagName

    public void setTagName(String tagName)

Set tag name of the heading

Parameters:
  `tagName` - tag name

#### setText

    public void setText(String text)

Set heading text

Parameters:
  `text` - heading text

#### getItemXML

    public String getItemXML()

Get heading tag information as XML fragment

Returns:
  heading tag information as XML fragment

#### parseItem

    public static HeadingsData parseItem(Attributes atts)
                                  throws StatisticsDataFormatException

Extract heading tag information from XML fragment and store information into new `HeadingsData` instance.

Parameters:
  `atts` - target `Attributes`
Returns:
  new `HeadingsData`
Throws:
  `StatisticsDataFormatException`